Bug 1121333 - fedpkg commands hang on ocaml-camlp4 package
Summary: fedpkg commands hang on ocaml-camlp4 package
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 11:14 UTC by Richard W.M. Jones
Modified: 2014-07-29 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 15:39:53 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-07-19 11:14:30 UTC
Description of problem:

All fedpkg commands hang, even commands like 'verrel':

$ fedpkg -v verrel 
Creating repo object from /home/rjones/d/fedora/ocaml-camlp4/master
DEBUG:rpkg:Creating repo object from /home/rjones/d/fedora/ocaml-camlp4/master
Not in a repo, don't care about remotes
DEBUG:rpkg:Not in a repo, don't care about remotes
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x2f27d70>> ignored
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
ocaml-camlp4-4.02.0-0.2.git87c6a6b0.fc22

Note it takes several minutes to get to the final output.

Version-Release number of selected component (if applicable):

fedpkg-1.16-1.fc20.noarch

How reproducible:

100%

Steps to Reproduce:
1. fedpkg -v verrel

Comment 1 Richard W.M. Jones 2014-07-19 11:15:58 UTC
What may be a problem here is that 'ocaml-camlp4' is a brand
new repository (see bug 1119081).  Perhaps part of the repo
hasn't been set up correctly?

Comment 2 Richard W.M. Jones 2014-07-19 15:31:47 UTC
This only seems to happen on one package.  An easy way to reproduce it is:

$ fedpkg clone ocaml-camlp4
$ cd ocaml-camlp4/
$ fedpkg verrel

Comment 3 Richard W.M. Jones 2014-07-22 19:10:51 UTC
Also happens with ocaml-labltk.

Comment 4 Pavol Babinčák 2014-07-29 14:57:10 UTC
I don't see any problem on my machine:

$ fedpkg clone ocaml-camlp4
[snip]
$ cd ./ocaml-camlp4
$ fedpkg verrel
ocaml-camlp4-4.02.0-0.3.git87c6a6b0.fc22

$ fedpkg clone ocaml-labltk
[snip]
$ cd ./ocaml-labltk
$ fedpkg verrel
ocaml-labltk-4.02-0.3.beta1.fc22

Do you still have a problem with that fedpkg command?

Comment 5 Richard W.M. Jones 2014-07-29 15:01:23 UTC
Yes:

$ fedpkg verrel
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x1b8dd70>> ignored
(and long hang)

This is with fedpkg-1.16-1.fc20.noarch however.

Comment 6 Pavol Babinčák 2014-07-29 15:19:57 UTC
(In reply to Richard W.M. Jones from comment #5)
> Exception AttributeError: '_read_only' in <bound method write.__del__ of
> <git.config.write object at 0x1b8dd70>> ignored
This is known issue: Bug 843292.


Try to run this command:
$ rpm --define "_sourcedir $PWD" --define "_specdir $PWD" \
      --define "_builddir $PWD" --define "_srcrpmdir $PWD" \
      --define "_rpmdir $PWD" --define 'dist .fc22' --define 'fedora 22' \
      --eval '%undefine rhel' --define 'fc22 1' \
      --eval '%undefine fc20' -q --qf \
      "%{NAME} %{EPOCH} %{VERSION} %{RELEASE}??" \
      --specfile $PWD/*.spec

Comment 7 Richard W.M. Jones 2014-07-29 15:23:29 UTC
(In reply to Pavol Babinčák from comment #6)
> (In reply to Richard W.M. Jones from comment #5)
> > Exception AttributeError: '_read_only' in <bound method write.__del__ of
> > <git.config.write object at 0x1b8dd70>> ignored
> This is known issue: Bug 843292.

Very likely.

However your copy of fedpkg doesn't hang?

> Try to run this command:
> $ rpm --define "_sourcedir $PWD" --define "_specdir $PWD" \
>       --define "_builddir $PWD" --define "_srcrpmdir $PWD" \
>       --define "_rpmdir $PWD" --define 'dist .fc22' --define 'fedora 22' \
>       --eval '%undefine rhel' --define 'fc22 1' \
>       --eval '%undefine fc20' -q --qf \
>       "%{NAME} %{EPOCH} %{VERSION} %{RELEASE}??" \
>       --specfile $PWD/*.spec

It prints ...

ocaml-camlp4 (none) 4.02.0 0.3.git87c6a6b0.fc22??ocaml-camlp4-devel (none) 4.02.0 0.3.git87c6a6b0.fc22??ocaml-camlp4-debuginfo (none) 4.02.0 0.3.git87c6a6b0.fc22??

Comment 8 Pavol Babinčák 2014-07-29 15:39:53 UTC
Installation of pyrpkg-1.24-1.fc21.noarch from rawhide fixed that issue. pyrpkg update 1.24 or highter will be released for Fedora 20 in near future.


Note You need to log in before you can comment on or make changes to this bug.